<!DOCTYPE html>
<html lang="pl">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Książka telefoniczna</title>

    <link href="components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="components/animate.css/animate.min.css" rel="stylesheet">
    <link rel="stylesheet" href="components/components-font-awesome/css/font-awesome.min.css">
    <link rel='stylesheet' href='components/angular-loading-bar/build/loading-bar.min.css' type='text/css' media='all' />
    <link href="css/style.min.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body ng-app="pracownicyApp">
    <div ng-controller="pracownicyLista" ng-cloak>
      <div class="container-fluid navbar-fixed-top navbar navbar-default">
        <div class="container">
          <div class="row">
            <div class="col-sm-12">
              <h1 class="text-center">Książka telefoniczna</h1>
              <form>
                <div class="form-group">
                  <div class="input-group">
                    <input type="text" class="form-control" ng-model="pracownicySzukaj" placeholder="Wpisz nazwisko, dział, numer telefonu, piętro lub numer pokoju...">
                    <span class="input-group-addon"><span class="glyphicon glyphicon-search"></span></span>
                  </div>
                </div>
              </form>
              <p class="small text-muted text-center">Znalezionych pracowników: {{ results.length }} </p>
            </div>

          </div>
        </div>
      </div>

      <div class="container">
        <div class="row">
          <div class="col-sm-12">

            <div class="panel panel-default" ng-repeat="pracownik in pracownicy | orderBy:'name' | filter: pracownicySzukaj as results">
              <div class="panel-body">
                <div class="col-md-2 col-sm-3 col-xs-4">
                  <img ng-src="img/{{pracownik.photo}}.jpg" class="img-responsive" err-src="img/logo.jpg">
                </div>
                <div class="col-md-10 col-sm-9 col-xs-8">
                  <p class="lead">{{ pracownik.name }}</p>

                  <p>
                    <div ng-if="pracownik.phone"><strong><i class="fa fa-phone" aria-hidden="true"></i> {{ pracownik.phone }}</strong></div>

                    <div class="small text-muted">
                      <span ng-if="pracownik.phone.includes('*')">Numer z zewnątrz: 58 764 {{ pracownik.phone | limitTo: 4 : 1 }}</span>

                      <span ng-if="!pracownik.phone.includes('*')" ng-hide="pracownik.phone.includes(' ')">Numer z zewnątrz: 58 340 {{ pracownik.phone }}</span>
                    </div>
                    
                    <div ng-if="pracownik.mobile"><i class="fa fa-mobile" aria-hidden="true"></i> {{ pracownik.mobile }}</div>
                  </p>


                  <p ng-if="pracownik.mail"><i class="fa fa-envelope-o" aria-hidden="true"></i> <a href="mailto:{{pracownik.mail}}" title="Wyślij e-mail">{{ pracownik.mail }}</a></p>

                </div>
              </div>
              <div class="panel-footer text-muted clearfix small">
                <div class="pull-left" ng-if="pracownik.team">{{ pracownik.team }}<span ng-if="pracownik.role">, {{ pracownik.role }}</span></div>
                <div class="pull-right" ng-if="pracownik.room"><i class="fa fa-map-marker" aria-hidden="true"></i> pokój: {{ pracownik.room }}</div>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>

    <script src="js/pracownicy.js"></script>
    <script src="components/jquery/dist/jquery.min.js"></script>
    <script src="components/bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="js/script.js"></script>
    <script src="components/angular/angular.min.js"></script>
    <script type='text/javascript' src='components/angular-loading-bar/build/loading-bar.min.js'></script>
    <script type='text/javascript' src='components/angular-animate/angular-animate.min.js'></script>

    <script>

      var app = angular.module("pracownicyApp", ['angular-loading-bar']);
      app.controller('pracownicyLista', ['$scope', 'cfpLoadingBar', function($scope, cfpLoadingBar){
          cfpLoadingBar.start();
          $scope.pracownicy = pracownicy;
          cfpLoadingBar.complete();
      }])

      app.directive('errSrc', function() {
        return {
          link: function(scope, element, attrs) {
            element.bind('error', function() {
              if (attrs.src != attrs.errSrc) {
                attrs.$set('src', attrs.errSrc);
              }
            });
          }
        }
      });
    </script>
  </body>
</html>